#!/usr/bin/python3

#	cve-manager : CVE management tool
#	Copyright (C) 2017-2022 Alexey Appolonov
#
#	This program is free software: you can redistribute it and/or modify
#	it under the terms of the GNU General Public License as published by
#	the Free Software Foundation, either version 3 of the License, or
#	(at your option) any later version.
#
#	This program is distributed in the hope that it will be useful,
#	but WITHOUT ANY WARRANTY; without even the implied warranty of
#	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#	GNU General Public License for more details.
#
#	You should have received a copy of the GNU General Public License
#	along with this program.  If not, see <http://www.gnu.org/licenses/>.

# # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # #

MANAGER = (
	'cve-manager is an utilities toolkit used to form a database of\n'
	'vulnerabilities (VUL DB), each step is performed by one of the\n'
	'dedicated modules.'
	)

BACKUP = (
	'cve-backup is an utility used to backup and restore a VUL DB.'
	)

HISTORY = (
	'cve-history is an utility used to save records about currently unfixed\n'
	'issues detected with the cve-issues module and to save a current map\n'
	'of names of products to names of packages.'
	)

DOWNLOAD = (
	'cve-download is an utility used to download lists with descriptions\n'
	'of vulnerabilities (from various sources) and a CPE dictionary via HTTPS.'
	)

IMPORTER  = (
	'cve-import is an utility used to import lists of packages of examined\n'
	'repos, various lists with descriptions of vulnerabilities (in JSON\n'
	'and XML format) and a CPE dictionary into VUL DB.'
	)

MAPPER = (
	'cpe-map is an utility used to map names of products used in descriptions\n'
	'of vulnerabilities (imported to a VUL DB) to names of packages (--//--).'
	)

ISSUES = (
	'cve-issues is an utility used to detect issues related to\n'
	'vulnerabilities of the packages and then create records for those issues\n'
	'in a VUL DB for latter access via cve-monitor and cve-history modules.'
	)

MONITOR = (
	'cve-monitor is an utility used to query VUL DB and form human-readable\n'
	'reports that can be sent via SMPT on request.'
	)
