#!/usr/bin/python3

#	cve-manager : CVE management tool
#	Copyright (C) 2017-2022 Alexey Appolonov
#
#	This program is free software: you can redistribute it and/or modify
#	it under the terms of the GNU General Public License as published by
#	the Free Software Foundation, either version 3 of the License, or
#	(at your option) any later version.
#
#	This program is distributed in the hope that it will be useful,
#	but WITHOUT ANY WARRANTY; without even the implied warranty of
#	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#	GNU General Public License for more details.
#
#	You should have received a copy of the GNU General Public License
#	along with this program.  If not, see <http://www.gnu.org/licenses/>.

# # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # #

ERR_MAX = 255

# # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # #
# Encode a list of targets that have not been completed

def ErrEncode(checklist, targets):

	code = 0
	incompleted = [checklist.get(target) == False for target in targets]

	for i, flag in enumerate(incompleted):
		if flag:
			code += pow(2, i)

	return code

# # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # #
# Decode a list of targets that have not been completed

def ErrDecode(code, targets):

	incomplete_targets = []

	for i, target in enumerate(targets):
		mask = pow(2, i)
		if mask & code:
			incomplete_targets.append(target)

	return incomplete_targets
