#!/usr/bin/python3

#	cve-manager : CVE management tool
#	Copyright (C) 2017-2022 Alexey Appolonov
#
#	This program is free software: you can redistribute it and/or modify
#	it under the terms of the GNU General Public License as published by
#	the Free Software Foundation, either version 3 of the License, or
#	(at your option) any later version.
#
#	This program is distributed in the hope that it will be useful,
#	but WITHOUT ANY WARRANTY; without even the implied warranty of
#	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#	GNU General Public License for more details.
#
#	You should have received a copy of the GNU General Public License
#	along with this program.  If not, see <http://www.gnu.org/licenses/>.

# # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # #

from cve_manager.defines     import M_CHOICES
from cve_manager.intf_common import ErrDecode, ERR_MAX

# # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # #
# Form a command to run the cpe-map utility (a return code of a previouse run
# can be used)

def CmdMap(code=-1):

	incomplete_targets = ['all'] if code < 0 or code == ERR_MAX \
		else ErrDecode(code, M_CHOICES)

	return '--matching ' + ' '.join(incomplete_targets) + ' ' + \
		('--recreate ' if code < 0 or code == ERR_MAX else '') + \
		'--makechoice'
