#!/usr/bin/python3

#	cve-manager : CVE management tool
#	Copyright (C) 2017-2022 Alexey Appolonov
#
#	This program is free software: you can redistribute it and/or modify
#	it under the terms of the GNU General Public License as published by
#	the Free Software Foundation, either version 3 of the License, or
#	(at your option) any later version.
#
#	This program is distributed in the hope that it will be useful,
#	but WITHOUT ANY WARRANTY; without even the implied warranty of
#	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#	GNU General Public License for more details.
#
#	You should have received a copy of the GNU General Public License
#	along with this program.  If not, see <http://www.gnu.org/licenses/>.

# # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # #

import os

# # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # #

class KnowledgeHandler():

	def __init__(self, conf_dir, file_name):

		self.file_path = os.path.join(conf_dir, file_name)

	# # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # #
	# Check specified CSV file, return True if no critical errors, return False
	# otherwise

	def Check(self):

		critical_err = False
		msg = ''

		if not os.path.exists(self.file_path):
			critical_err = True
			msg = f'Can\'t find "{self.file_path}" file'

		elif not os.path.isfile(self.file_path):
			msg = f'{self.file_path}" is not a regular file'

		elif not os.access(self.file_path, os.R_OK):
			msg = f'Can\'t read "{self.file_path}" file'

		return not critical_err, msg
