#!/usr/bin/python3

#	cve-manager : CVE management tool
#	Copyright (C) 2017-2022 Alexey Appolonov
#
#	This program is free software: you can redistribute it and/or modify
#	it under the terms of the GNU General Public License as published by
#	the Free Software Foundation, either version 3 of the License, or
#	(at your option) any later version.
#
#	This program is distributed in the hope that it will be useful,
#	but WITHOUT ANY WARRANTY; without even the implied warranty of
#	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#	GNU General Public License for more details.
#
#	You should have received a copy of the GNU General Public License
#	along with this program.  If not, see <http://www.gnu.org/licenses/>.

# # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # #

from cve_manager.db import DB

# # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # #
# Prototype of an interface between the cve-manager modules and the CVE DB

class ProtoMediator():

	def __init__(self, mysql_config, printer):

		self.mysql_config = mysql_config
		self.printer = printer

	# # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # #
	# Create an instance of the DB class and connect to the database

	def NewDB(self, n_buf_cursors=0):

		db = DB(self.printer)
		if not db.Connect(self.mysql_config, n_buf_cursors):
			return None

		return db
